### Function

# GimpUi widget_get_color_transform

since: 2.10

#### Declaration [src]

    GimpColorTransform*
    gimp_widget_get_color_transform (
      GtkWidget* widget,
      GimpColorConfig* config,
      GimpColorProfile* src_profile,
      const Babl* src_format,
      const Babl* dest_format,
      GimpColorProfile* softproof_profile,
      GimpColorRenderingIntent proof_intent,
      gboolean proof_bpc
    )

#### Description [src]

This function returns the `GimpColorTransform` that transforms pixels from `src_profile` to the profile of the `GdkMonitor` the `widget` is displayed on.

Available since: 2.10

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget`.

  The data is owned by the caller of the function.

`config`

  Type: `GimpColorConfig`

  A `GimpColorConfig`.

  The data is owned by the caller of the function.

`src_profile`

  Type: `GimpColorProfile`

  A `GimpColorProfile`.

  The data is owned by the caller of the function.

`src_format`

  Type: `Babl`

  Babl format for the transform’s source pixels.

  The data is owned by the caller of the function.

`dest_format`

  Type: `Babl`

  Babl format for the transforms’s destination pixels.

  The data is owned by the caller of the function.

`softproof_profile`

  Type: `GimpColorProfile`

  No description available.

  The data is owned by the caller of the function.

`proof_intent`

  Type: `GimpColorRenderingIntent`

  No description available.

`proof_bpc`

  Type: `gboolean`

  No description available.

#### Return value

Type: `GimpColorTransform`

The `GimpColorTransform`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.